import java.rmi.*;

// This client sends a marker message to server 0, in order
// to initiate a snapshot.
//
public class SnapshotClient
{
	public static void main(String args[])
	{
		MessageReceiver w;

		try {
			w = (MessageReceiver)Naming.lookup("rmi://localhost/Server0");
			w.enqueueMessage("MARKER", -1);
		}
		catch (Exception e) {
			System.out.println("SnapshotClient: " + e.getMessage());
			e.printStackTrace();
		}
	}
}

